Get commuting distances by vehicle and fuel type
GET
/
carbonemissions
/
commutingoverview
Get commuting distances by vehicle and fuel type
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"vehicleTypes": {
"meta": {},
"data": [
{
"carType": "PRIVATE_CAR",
"fuelTypes": [
{
"fuelType": "PETROL",
"totalDistance": 120,
"distanceUnit": "km"
},
{
"fuelType": "DIESEL",
"totalDistance": 80,
"distanceUnit": "km"
}
]
}
]
},
"fuelTypes": {
"meta": {
"abbreviation": {
"totalDistance": 200,
"distanceUnit": "km"
}
},
"data": [
{
"fuelType": "PETROL",
"totalDistance": 120,
"distanceUnit": "km"
},
{
"fuelType": "DIESEL",
"totalDistance": 80,
"distanceUnit": "km"
}
]
}
}
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The organization id of the carbon emissions UUID without dashes (32-character hex string)
Pattern:
^[0-9a-fA-F]{32}$Used for filtering
Used for filtering
Optional comma-separated list of extra fields to include. Currently supports meta.abbreviation
Available options:
meta.abbreviation Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Metadata related to vehicle types. Currently empty, reserved for future use.
Hide child attributes
Hide child attributes
Type of vehicle (e.g., PRIVATE_CAR, COMPANY_CAR, MOTORCYCLE)
List of fuel type distances for this vehicle type
Hide child attributes
Hide child attributes
Optional metadata for fuel type totals. Present only when include=meta.abbreviation is requested.
Last modified on August 31, 2026
⌘I
Get commuting distances by vehicle and fuel type
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/carbonemissions/commutingoverview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"vehicleTypes": {
"meta": {},
"data": [
{
"carType": "PRIVATE_CAR",
"fuelTypes": [
{
"fuelType": "PETROL",
"totalDistance": 120,
"distanceUnit": "km"
},
{
"fuelType": "DIESEL",
"totalDistance": 80,
"distanceUnit": "km"
}
]
}
]
},
"fuelTypes": {
"meta": {
"abbreviation": {
"totalDistance": 200,
"distanceUnit": "km"
}
},
"data": [
{
"fuelType": "PETROL",
"totalDistance": 120,
"distanceUnit": "km"
},
{
"fuelType": "DIESEL",
"totalDistance": 80,
"distanceUnit": "km"
}
]
}
}
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}
